# Interface Stage

All Known Implementing Classes:
  `CapabilityStage, ColumnMetadataStage, CompareMetadataStage, EpnTapStage, ExampleStage, JobStage, ObsLocStage, ObsTapStage, QueryStage, TableMetadataStage, TablesEndpointStage, TapSchemaStage, UploadStage, XsdStage`

public interface Stage
Represents a stage of validator processing.

Since:
  3 Jun 2011
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Returns a short one-line description of this stage.
`void`
`run(Reporter reporter, uk.ac.starlink.vo.TapService tapService)`
Performs the validation checks for this stage.

## Method Details

### getDescription

String getDescription()
Returns a short one-line description of this stage.

Returns:
  description in imperative mood

### run

void run(Reporter reporter, uk.ac.starlink.vo.TapService tapService)
Performs the validation checks for this stage.

Parameters:
  `reporter` - destination for validation messages
  `tapService` - TAP service description